
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

For for information about the library, see:
http://www.mono-project.com/Mono.Addins

Building
--------

To build the library execute:

	./configure
	make

Options:

--prefix=/path/to/prefix

	Install to the specified prefix

--enable-gui

	Include GUI support (requires gtk#)

--enable-tests

	Include NUnit tests (requires nunit)


Building the samples
--------------------

cd to the Samples directory and run make.

Running the NUnit tests
-----------------------

To run the NUnit tests, you need to configure the build with --enable-tests,
cd to Tests, and run 'make test'. 

